using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KstCMS.DAL
{
    public interface IWebLM
    {
        void Add(string[] FieldValues,params string[] FieldNames);
        void Update(string[] FieldValues, int LmId, params string[] FieldNames);
        void Delete(int LmId);
        KstCMS.Model.SiteModel.WebLM GetModel(int LmId,params string[] FieldNames);
        System.Data.DataSet GetList(string strWhere, string OrderBy, int Top, params string[] FieldNames);
        bool Exists(int Id);
        bool Exists(int SiteId, int MenuId, string HtmlFile);
        int GetMaxId();

    }
}
